Name:           python-kmod
Version:        0.9.2
Release:        1
Summary:        Python module to work with kernel modules
License:        LGPL-2.0-or-later
URL:            https://github.com/maurizio-lombardi/python-kmod
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  python3-Cython
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3
BuildRequires:  kmod-devel

%global _description\
Python module to allow listing, loading, and unloading\
Linux Kernel modules, using libkmod.

%description %_description

%package -n python3-kmod
Summary:        Python module to work with kernel modules

%description -n python3-kmod
Python module to allow listing, loading, and unloading
Linux Kernel modules, using libkmod.

%package_help

%prep
%autosetup

%build
%py3_build

%install
%py3_install

%files -n python3-kmod
%{python3_sitearch}/kmod/
%{python3_sitearch}/*.egg-info
%license COPYING.LESSER

%files help
%doc README

%changelog
* Tue Feb 20 2024 liweigang <izmirvii@gmail.com> - 0.9.2-1
- update to version 0.9.2

* Wed Jun 23 2021 shangyibin <shangyibin1@huawei.com> - 0.9.1-4
- Type:bufix
- CVE:NA
- SUG:NA
- DESC:add kmod-libs,perl,and gcc BuildRequires

* Tue Mar 23 2021 shixuantong <shixuantong@huawei.com> - 0.9.1-3
- Type:bufix
- CVE:NA
- SUG:NA
- DESC:add debuginf and debugsource

* Fri Oct 30 2020 wuchaochao <wuchaochao4@huawei.com> - 0.9.1-2
- Type:bufix
- CVE:NA
- SUG:NA
- DESC:remove python2

* Thu Jul 30 2020 tianwei <tianwei12@huawei.com> - 0.9.1-1
- Package update to release 0.9.1

* Mon Sep 16 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.9-21
- Package init
